Indexers - Get Status

인덱서의 현재 상태 및 실행 기록을 반환합니다.

GET {endpoint}/indexers('{indexerName}')/search.status?api-version=2026-04-01

URI 매개 변수

Name In(다음 안에) 필수 형식 Description
endpoint
path True

string (uri)

검색 서비스의 엔드포인트 URL입니다.

indexerName
path True

string

인덱서의 이름입니다.

api-version
query True

string

minLength: 1

이 작업에 사용할 API 버전입니다.

요청 헤더

Name 필수 형식 Description
Accept

Accept

Accept 헤더입니다.

x-ms-client-request-id

string (uuid)

요청에 대한 불투명하고 전역적으로 고유한 클라이언트 생성 문자열 식별자입니다.

응답

Name 형식 Description
200 OK

SearchIndexerStatus

요청이 성공했습니다.

Other Status Codes

ErrorResponse

예기치 않은 오류 응답입니다.

보안

api-key

형식: apiKey
In(다음 안에): header

OAuth2Auth

형식: oauth2
Flow: implicit
권한 부여 URL: https://login.microsoftonline.com/common/oauth2/v2.0/authorize

범위

Name Description
https://search.azure.com/.default

예제

SearchServiceGetIndexerStatus
SearchServiceGetS3HDUnlimitedIndexerStatus

SearchServiceGetIndexerStatus

샘플 요청

GET https://exampleservice.search.windows.net/indexers('myindexer')/search.status?api-version=2026-04-01

샘플 응답

{
  "name": "myindexer",
  "status": "running",
  "lastResult": {
    "status": "success",
    "startTime": "2014-11-26T03:37:18.853Z",
    "endTime": "2014-11-26T03:37:19.012Z",
    "itemsProcessed": 11,
    "itemsFailed": 0,
    "errors": [],
    "warnings": []
  },
  "executionHistory": [
    {
      "status": "success",
      "startTime": "2014-11-26T03:37:18.853Z",
      "endTime": "2014-11-26T03:37:19.012Z",
      "itemsProcessed": 11,
      "itemsFailed": 0,
      "errors": [],
      "warnings": []
    },
    {
      "status": "transientFailure",
      "startTime": "2014-11-26T03:28:10.125Z",
      "endTime": "2014-11-26T03:28:12.007Z",
      "itemsProcessed": 1,
      "itemsFailed": 2,
      "errors": [
        {
          "key": "",
          "statusCode": 400,
          "errorMessage": "Document key cannot be missing or empty."
        },
        {
          "key": "document id 1",
          "statusCode": 400,
          "name": "DocumentExtraction.AzureBlob.MyDataSource",
          "errorMessage": "Could not read the value of column 'foo' at index '0'.",
          "details": "The file could not be parsed.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
        }
      ],
      "warnings": [
        {
          "key": "document id",
          "message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
        },
        {
          "key": "document id 2",
          "name": "Enrichment.LanguageDetectionSkill.#4",
          "message": "Document was truncated to 50000 characters.",
          "details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
        }
      ]
    }
  ],
  "limits": {
    "maxRunTime": "PT22H",
    "maxDocumentExtractionSize": 256000000,
    "maxDocumentContentCharactersToExtract": 4000000
  }
}

SearchServiceGetS3HDUnlimitedIndexerStatus

샘플 요청

GET https://exampleservice.search.windows.net/indexers('myindexer')/search.status?api-version=2026-04-01

샘플 응답

{
  "name": "myindexer",
  "status": "running",
  "lastResult": {
    "status": "success",
    "startTime": "2014-11-26T03:37:18.853Z",
    "endTime": "2014-11-26T03:37:19.012Z",
    "itemsProcessed": 11,
    "itemsFailed": 0,
    "errors": [],
    "warnings": []
  },
  "executionHistory": [
    {
      "status": "success",
      "startTime": "2014-11-26T03:37:18.853Z",
      "endTime": "2014-11-26T03:37:19.012Z",
      "itemsProcessed": 11,
      "itemsFailed": 0,
      "errors": [],
      "warnings": []
    },
    {
      "status": "transientFailure",
      "startTime": "2014-11-26T03:28:10.125Z",
      "endTime": "2014-11-26T03:28:12.007Z",
      "itemsProcessed": 1,
      "itemsFailed": 2,
      "errors": [
        {
          "key": "",
          "statusCode": 400,
          "errorMessage": "Document key cannot be missing or empty."
        },
        {
          "key": "document id 1",
          "statusCode": 400,
          "name": "DocumentExtraction.AzureBlob.MyDataSource",
          "errorMessage": "Could not read the value of column 'foo' at index '0'.",
          "details": "The file could not be parsed.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2049388"
        }
      ],
      "warnings": [
        {
          "key": "document id",
          "message": "A warning doesn't stop indexing, and is intended to inform you of certain interesting situations, like when a blob indexer truncates the amount of text extracted from a blob."
        },
        {
          "key": "document id 2",
          "name": "Enrichment.LanguageDetectionSkill.#4",
          "message": "Document was truncated to 50000 characters.",
          "details": "The skill did something that didn't break anything, nonetheless something we didn't expect happened, so it might be worth double checking.",
          "documentationLink": "https://go.microsoft.com/fwlink/?linkid=2099692"
        }
      ]
    }
  ],
  "limits": {
    "maxRunTime": "PT22H",
    "maxDocumentExtractionSize": 256000000,
    "maxDocumentContentCharactersToExtract": 4000000
  }
}

정의

Name Description
Accept

Accept 헤더입니다.

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

ErrorDetail

오류 세부 정보입니다.

ErrorResponse

실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다.

IndexerExecutionResult

개별 인덱서 실행의 결과를 나타냅니다.

IndexerExecutionStatus

개별 인덱서 실행의 상태를 나타냅니다.

IndexerStatus

전체 인덱서 상태를 나타냅니다.

SearchIndexerError

항목 또는 문서 수준 인덱싱 오류를 나타냅니다.

SearchIndexerLimits

인덱서에 적용할 수 있는 한계를 나타냅니다.

SearchIndexerStatus

인덱서의 현재 상태 및 실행 기록을 나타냅니다.

SearchIndexerWarning

항목 수준 경고를 나타냅니다.

Accept

Accept 헤더입니다.

값 Description
application/json;odata.metadata=minimal

ErrorAdditionalInfo

리소스 관리 오류 추가 정보입니다.

Name 형식 Description
info

추가 정보.

type

string

추가 정보 유형입니다.

ErrorDetail

오류 세부 정보입니다.

Name 형식 Description
additionalInfo

ErrorAdditionalInfo[]

오류 추가 정보입니다.

code

string

오류 코드입니다.

details

ErrorDetail[]

오류 세부 정보입니다.

message

string

오류 메시지입니다.

target

string

오류 대상입니다.

ErrorResponse

실패한 작업에 대한 오류 세부 정보를 반환하는 모든 Azure Resource Manager API에 대한 일반적인 오류 응답입니다. 또한 OData 오류 응답 형식을 따릅니다.

Name 형식 Description
error

ErrorDetail

오류 개체입니다.

IndexerExecutionResult

개별 인덱서 실행의 결과를 나타냅니다.

Name 형식 Description
endTime

string (date-time)

실행이 이미 완료된 경우 이 인덱서 실행의 종료 시간입니다.

errorMessage

string

최상위 오류(있는 경우)를 나타내는 오류 메시지입니다.

errors

SearchIndexerError[]

항목 수준 인덱싱 오류입니다.

finalTrackingState

string

인덱서 실행이 완료된 변경 내용 추적 상태입니다.

initialTrackingState

string

인덱서 실행이 시작된 변경 내용 추적 상태입니다.

itemsFailed

integer (int32)

이 인덱서 실행 중에 인덱싱하지 못한 항목의 수입니다.

itemsProcessed

integer (int32)

이 인덱서 실행 중에 처리된 항목 수입니다. 여기에는 성공적으로 처리된 항목과 인덱싱이 시도되었지만 실패한 항목이 모두 포함됩니다.

startTime

string (date-time)

이 인덱서 실행의 시작 시간입니다.

status

IndexerExecutionStatus

이 인덱서 실행의 결과입니다.

warnings

SearchIndexerWarning[]

항목 수준 인덱싱 경고입니다.

IndexerExecutionStatus

개별 인덱서 실행의 상태를 나타냅니다.

값 Description
transientFailure

인덱서 호출이 실패했지만 실패가 일시적일 수 있습니다. 인덱서 호출은 일정에 따라 계속됩니다.

success

인덱서 실행이 성공적으로 완료되었습니다.

inProgress

인덱서 실행이 진행 중입니다.

reset

인덱서가 다시 설정되었습니다.

IndexerStatus

전체 인덱서 상태를 나타냅니다.

값 Description
unknown

인덱서가 알 수 없는 상태임을 나타냅니다.

error

인덱서에 사람의 개입 없이는 수정할 수 없는 오류가 발생했음을 나타냅니다.

running

인덱서가 정상적으로 실행되고 있음을 나타냅니다.

SearchIndexerError

항목 또는 문서 수준 인덱싱 오류를 나타냅니다.

Name 형식 Description
details

string

또한 인덱서 디버깅에 도움이 될 오류에 대한 자세한 정보를 제공합니다. 항상 사용할 수 있는 것은 아닙니다.

documentationLink

string

이러한 오류 클래스에 대한 문제 해결 가이드에 대한 링크입니다. 항상 사용할 수 있는 것은 아닙니다.

errorMessage

string

항목을 처리하는 동안 발생한 오류를 설명하는 메시지입니다.

key

string

인덱싱에 실패한 항목의 키입니다.

name

string

오류가 발생한 원본의 이름입니다. 예를 들어 연결된 기술 세트의 특정 기술을 참조할 수 있습니다. 항상 사용할 수 있는 것은 아닙니다.

statusCode

integer (int32)

인덱싱 작업이 실패한 이유를 나타내는 상태 코드입니다. 가능한 값은 형식이 잘못된 입력 문서의 경우 400, 문서를 찾을 수 없는 경우 404, 버전 충돌의 경우 409, 인덱스가 일시적으로 사용할 수 없는 경우 422, 서비스가 너무 많은 경우 503입니다.

SearchIndexerLimits

인덱서에 적용할 수 있는 한계를 나타냅니다.

Name 형식 Description
maxDocumentContentCharactersToExtract

integer (int64)

인덱싱을 위해 선택한 문서에서 추출할 최대 문자 수입니다.

maxDocumentExtractionSize

integer (int64)

인덱싱에 유효한 것으로 간주되는 문서의 최대 크기(바이트)입니다.

maxRunTime

string (duration)

인덱서가 한 번의 실행에 대해 실행할 수 있는 최대 기간입니다.

SearchIndexerStatus

인덱서의 현재 상태 및 실행 기록을 나타냅니다.

Name 형식 Description
executionHistory

IndexerExecutionResult[]

역순으로 정렬된 최근 인덱서 실행의 기록입니다.

lastResult

IndexerExecutionResult

가장 최근 또는 진행 중인 인덱서 실행의 결과입니다.

limits

SearchIndexerLimits

인덱서의 실행 제한입니다.

name

string

인덱서의 이름입니다.

status

IndexerStatus

전체 인덱서 상태입니다.

SearchIndexerWarning

항목 수준 경고를 나타냅니다.

Name 형식 Description
details

string

또한 인덱서 디버깅에 도움이 되도록 경고에 대한 자세한 정보를 제공합니다. 항상 사용할 수 있는 것은 아닙니다.

documentationLink

string

이러한 경고 클래스에 대한 문제 해결 가이드에 대한 링크입니다. 항상 사용할 수 있는 것은 아닙니다.

key

string

경고를 생성한 항목의 키입니다.

message

string

항목을 처리하는 동안 발생한 경고를 설명하는 메시지입니다.

name

string

경고가 발생한 원본의 이름입니다. 예를 들어 연결된 기술 세트의 특정 기술을 참조할 수 있습니다. 항상 사용할 수 있는 것은 아닙니다.